Table of Contents

Class: Shell | Twisted-0.19.0/twisted/manhole/telnet.py
--- | ---
A Python command-line shell.
Base Classes |
--- | ---
telnet.Telnet
Methods |
--- | ---
checkUserAndPass connectionMade doCommand loggedIn telnet_Command write
| checkUserAndPass
    checkUserAndPass (
            self,
            username,
            password,
            )
| connectionMade
    connectionMade ( self )
| doCommand
    doCommand ( self,  cmd )
| loggedIn
    loggedIn ( self )
| telnet_Command
    telnet_Command ( self,  cmd )
| write
    write ( self,  data )
Write some data to the transport.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:50 2002 by HappyDoc version 2.0